#include "..\Headers\core.h"
#include "..\Headers\keyboard.h"

extern float incRotX ,
	incRotY ,
	incRotZ ;
extern float displacement_incrementX;

void CheckKeys(unsigned char c, int x, int y) {
	static float *color = &motionBlur_Alpha_intensity;

	switch(c) {
		case 'T' :
		case 't' :
			motionBlur_FirstRenderTexture = !motionBlur_FirstRenderTexture;
			break;

		case 'R' :
		case 'r' :
			color = &motionBlur_Red_intensity;
		break;		

		case 'G' :
		case 'g' :
			color = &motionBlur_Green_intensity;
		break;

		case 'B' :
		case 'b' :
            color = &motionBlur_Blue_intensity;
			break;
		
		case 'A' :
		case 'a' :
			color = &motionBlur_Alpha_intensity;
			break;

		case 'X' :
		case 'x' :
			color = &incRotX;
			break;
		
		case 'Y' :
		case 'y' :
			color = &incRotY;
			break;

		case 'Z' :
		case 'z' :
			color = &incRotZ;
			break;

		case 43 :
			(*color) += (float)0.01;
			break;
		case 45 :
			(*color) -= (float)0.01;
			break;
		
		case 'W' :
		case 'w' :
			renderConicWireframe = !renderConicWireframe;
			break;

		case 'U' :
		case 'u' :
			useNormals = !useNormals;
			break;

		case 'S' :
		case 's' :
			DrawAlternateScene = !DrawAlternateScene;
			break;

		case 'M' :
		case 'm' :
			useMotionBlur = !useMotionBlur;

			// clear the motion blur texture

			// clear the viewport
			glClearColor(0.0,0.0,0.0,0.0);
			glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);	// Clear The Screen And The Depth Buffer
			glLoadIdentity();
			glViewport(0, 0, motionBlur_Texture_X, motionBlur_Texture_Y);
			// copy the whole viewport to the teture
			glBindTexture(GL_TEXTURE_2D, motionBlur_Texture);
			glCopyTexImage2D(GL_TEXTURE_2D, 0, motionBlur_Texture_type, 0, 0, motionBlur_Texture_X, motionBlur_Texture_Y, 0);
			glViewport(0, 0, windowX, windowY);

			break;

		case 27 :
			exit(0);
			break;
	}
}