/*
 * Here we do all the defines that are needed any place of the program
 *
 */

#ifndef __core_included__
#define __core_included__

#include <windows.h>		// Header File For Windows
#include <stdio.h>			// Header File For Standard Input/Output
#include <gl\gl.h>			// Header File For The OpenGL32 Library
#include <gl\glu.h>			// Header File For The GLu32 Library
#include <gl\glaux.h>		// Header File For The Glaux Library
#include <gl\glut.h>		// Header File For The Glut Library

extern bool	active;				// Window Active Flag Set To TRUE By Default
extern int windowX, windowY;	// Ower screens dimensions
extern bool useNormals;

extern bool internalError;

// motion blur implementation
extern GLuint		motionBlur_Texture;		// The Texture
extern int motionBlur_Texture_X,			// X Coordonate
	motionBlur_Texture_Y,					// Y Coordonate
	motionBlur_Texture_channels,			// Number of Chanels
	motionBlur_Texture_type;				// The Type
extern float	motionBlur_Red_intensity ,
		motionBlur_Green_intensity ,
		motionBlur_Blue_intensity ,
		motionBlur_Alpha_intensity;
extern bool	motionBlur_FirstRenderTexture;

extern GLuint		conic_texture;
extern bool			renderConicWireframe;
extern bool		DrawAlternateScene;
extern bool		useMotionBlur;

#endif
